[analytics]
enabled                  = false
check_for_updates        = false
reporting_enabled        = false
check_for_plugin_updates = false

[database]
wal = true

[metrics]
enabled             = true
basic_auth_password = $__file{/monitoring/grafana/secrets/metrics-password}
basic_auth_username = $__file{/monitoring/grafana/secrets/metrics-username}

[paths]
provisioning = /monitoring/grafana/provisioning

[security]
admin_user      = $__file{/monitoring/grafana/secrets/admin-username}
secret_key      = $__file{/monitoring/grafana/secrets/salt}
admin_email     = $__file{/monitoring/grafana/secrets/admin-email}
cookie_secure   = true
admin_password  = $__file{/monitoring/grafana/secrets/admin-password}
cookie_samesite = strict

[server]
domain               = $__file{/monitoring/grafana/secrets/domain}
cert_key             = /monitoring/certs/key.pem
protocol             = h2
root_url             = https://%(domain)s/
cert_file            = /monitoring/certs/certificate.crt
http_port            = 443
enable_gzip          = true
enforce_domain       = true
min_tls_version      = TLS1.3
certs_watch_interval = 1h
